Bug 146184 - rpm-4.4 fails to compile with --disable-nls
Summary: rpm-4.4 fails to compile with --disable-nls
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-25 20:24 UTC by Anders F Björklund
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 04:53:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch-formats.diff (351 bytes, patch)
2005-01-25 20:25 UTC, Anders F Björklund
no flags Details | Diff

Description Anders F Björklund 2005-01-25 20:24:04 UTC
Description of problem:

formats.c: In function `i18nTag':
formats.c:1059: error: `_nl_msg_cat_cntr' undeclared (first use in
this function)
formats.c:1059: error: (Each undeclared identifier is reported only once
formats.c:1059: error: for each function it appears in.)
make[3]: *** [formats.lo] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2


Version-Release number of selected component (if applicable):
4.4.1-0.9

How reproducible:
always

Steps to Reproduce:
1. ./configure --disable-nls
2. make
3.
  
Actual results:
make failure

Expected results:
make success

Additional info:
Mac OS X 10.3
DarwinPorts

Comment 1 Anders F Björklund 2005-01-25 20:25:36 UTC
Created attachment 110213 [details]
patch-formats.diff

#ifdef was missing in one place out of three

Comment 2 Jeff Johnson 2005-01-26 04:53:53 UTC
Added to cvs, head and rpm-4_4, should be in rpm-4.4.1-0.10
momentarily. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.